/** 
 *  Odor Analytics Source File
 *
 *  Copyright (C) 2002  Gaspar Sinai <gsinai@yudit.org>  
 */

#ifndef TMTerm_h
#define TMTerm_h

#include "stoolkit/SString.h"

class TMTerm
{
public:
  enum TMType { 
     Error, Variable, Constant, Operator, Function 
  };
  TMTerm (SString expr);
  TMTerm (const TMTerm& m);
  TMTerm& operator=(const TMTerm& m);

  TMType getType() const;
  SString getName() const;
private:
  TMType  type;
  SString name;
};

#endif /* TMTerm_h */
